package SampleDatabase;

/* SampleDatabase/EmployeeStatisticsTable_Table.java
 *
 * Copyright (c) 1999 Chris Studholme <chris.studholme@utoronto.ca>
 *
 * May be copied or modified under the terms of the GNU General Public
 * License.  See COPYING for more information.
 */

/**
 * <p>See TableTemplate for information about this class.
 *
 * @author chris.studholme@utoronto.ca
 */

class EmployeeStatisticsTable_Table extends TableTemplate {

    public EmployeeStatisticsTable_Table() {
	name="Antiques";
	rows = new EmployeeStatisticsTable_Row[9];
	rows[0] = new EmployeeStatisticsTable_Row("010",75000,15000,"Manager");
	rows[1] = new EmployeeStatisticsTable_Row("105",65000,15000,"Manager");
	rows[2] = new EmployeeStatisticsTable_Row("152",60000,15000,"Manager");
	rows[3] = new EmployeeStatisticsTable_Row("215",60000,12500,"Manager");
	rows[4] = new EmployeeStatisticsTable_Row("244",50000,12000,"Staff");
	rows[5] = new EmployeeStatisticsTable_Row("300",45000,10000,"Staff");
	rows[6] = new EmployeeStatisticsTable_Row("335",40000,10000,"Staff");
	rows[7] = new EmployeeStatisticsTable_Row("400",32000,7500,"Entry-Level");
	rows[8] = new EmployeeStatisticsTable_Row("441",28000,7500,"Entry-Level");
	fields = rows[0].getClass().getFields();
    }

};
